Package org.opensaml.core.xml.mock

# Class SimpleXMLObjectBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<SimpleXMLObject>
org.opensaml.core.xml.mock.SimpleXMLObjectBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<SimpleXMLObject>`

public class SimpleXMLObjectBuilder extends AbstractXMLObjectBuilder<SimpleXMLObject>
Builder of `SimpleXMLObject`s.

## Constructor Summary

Constructors
Constructor
Description
`SimpleXMLObjectBuilder()`

## Method Summary

Modifier and Type
Method
Description
`SimpleXMLObject`
`buildObject()`
Default builder method.
`SimpleXMLObject`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleXMLObjectBuilder

public SimpleXMLObjectBuilder()

## Method Details

### buildObject

@Nonnull public SimpleXMLObject buildObject()
Default builder method.

Returns:
  new object

### buildObject

@Nonnull public SimpleXMLObject buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<SimpleXMLObject>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<SimpleXMLObject>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject